{%- from "designate/map.jinja" import server, upgrade with context %}

designate_render_config:
  test.show_notification:
    - name: "dump_message_render_config_designate"
    - text: "Running designate.upgrade.render_config"

{%- if server.get('enabled', False) %}

/etc/designate/designate.conf:
  file.managed:
  - source: salt://designate/files/{{ server.version }}/designate.conf.{{ grains.os_family }}
  - template: jinja

/etc/designate/api-paste.ini:
  file.managed:
  - source: salt://designate/files/{{ server.version }}/api-paste.ini
  - template: jinja

{%- endif %}
